Bug 5838 - Confusing message when mount.cifs cannot resolve a host name
Confusing message when mount.cifs cannot resolve a host name
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: Jeff Layton
Samba QA Contact
http://bugs.debian.org/311709
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 11:58 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2009-08-07 14:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2008-10-19 11:58:19 UTC
In Debian bug #311709, our user reported a name resolution problem. Most of his bug report has been commented and us (package maintainers) agreed that there is no name resolution at all.

However, he reproted in this bug that mount.cifs message in such case is somewhat confusing:
"mount error: could not find target server. TCP name foo/bar not found. No ip address specified and hostname not found"

The problem lies in "TCP name" which is a strange wording. We concluded that something like "server name" or "resource name" would be more appropriate
Comment 1 Guenther Deschner 2009-08-06 09:21:52 UTC
Jeff, any idea about this one ?
Comment 2 Jeff Layton 2009-08-06 09:35:38 UTC
Looks simple enough to fix. I'll see about rolling up a patch to change the wording in the near future.
Comment 3 Jeff Layton 2009-08-07 14:21:37 UTC
Actually, that error message was changed several months ago when I added code to clean up IPv6 address handling in mount.cifs. The new message reads:

printf("mount error: could not resolve address for %s: %s\n", unc_name,
       gai_strerror(rc));

I'm going to go ahead and close this as FIXED. If you think it needs further attention, please reopen it.